:host {
  display: flex;
  flex-wrap: wrap;
  max-width: 1440px;
  margin-right: -8px;
  margin-left: -8px;
}

@media (min-width: 1440px) {

  :host {
    margin-right: auto;
    margin-left: auto;
  }
}

/*
 * Flexbox utilities
 *
 * Index
 * - Flex wrap
 * - Justify content
 * - Align items
 */

/* FLEX WRAP
 -------------------- */

:host(.flex-wrap) {
  flex-wrap: wrap;
}

:host(.flex-nowrap) {
  flex-wrap: nowrap;
}

/* JUSTIFY CONTENT
 -------------------- */

:host(.justify-content-start) {
  justify-content: flex-start;
}

:host(.justify-content-end) {
  justify-content: flex-end;
}

:host(.justify-content-center) {
  justify-content: center;
}

:host(.justify-content-between) {
  justify-content: space-between;
}

:host(.justify-content-around) {
  justify-content: space-around;
}

/* ALIGN ITEMS
 -------------------- */

:host(.align-items-start) {
  align-items: flex-start;
}

:host(.align-items-end) {
  align-items: flex-end;
}

:host(.align-items-center) {
  align-items: center;
}

:host(.align-items-baseline) {
  align-items: baseline;
}

:host(.align-items-stretch) {
  align-items: stretch;
}

@media (min-width: 576px) {

  :host(.flex-sm-wrap) {
    flex-wrap: wrap;
  }

  :host(.flex-sm-nowrap) {
    flex-wrap: nowrap;
  }

  :host(.justify-content-sm-start) {
    justify-content: flex-start;
  }

  :host(.justify-content-sm-end) {
    justify-content: flex-end;
  }

  :host(.justify-content-sm-center) {
    justify-content: center;
  }

  :host(.justify-content-sm-between) {
    justify-content: space-between;
  }

  :host(.justify-content-sm-around) {
    justify-content: space-around;
  }

  :host(.align-items-sm-start) {
    align-items: flex-start;
  }

  :host(.align-items-sm-end) {
    align-items: flex-end;
  }

  :host(.align-items-sm-center) {
    align-items: center;
  }

  :host(.align-items-sm-baseline) {
    align-items: baseline;
  }

  :host(.align-items-sm-stretch) {
    align-items: stretch;
  }
}

@media (min-width: 768px) {

  :host(.flex-md-wrap) {
    flex-wrap: wrap;
  }

  :host(.flex-md-nowrap) {
    flex-wrap: nowrap;
  }

  :host(.justify-content-md-start) {
    justify-content: flex-start;
  }

  :host(.justify-content-md-end) {
    justify-content: flex-end;
  }

  :host(.justify-content-md-center) {
    justify-content: center;
  }

  :host(.justify-content-md-between) {
    justify-content: space-between;
  }

  :host(.justify-content-md-around) {
    justify-content: space-around;
  }

  :host(.align-items-md-start) {
    align-items: flex-start;
  }

  :host(.align-items-md-end) {
    align-items: flex-end;
  }

  :host(.align-items-md-center) {
    align-items: center;
  }

  :host(.align-items-md-baseline) {
    align-items: baseline;
  }

  :host(.align-items-md-stretch) {
    align-items: stretch;
  }
}

@media (min-width: 992px) {

  :host(.flex-lg-wrap) {
    flex-wrap: wrap;
  }

  :host(.flex-lg-nowrap) {
    flex-wrap: nowrap;
  }

  :host(.justify-content-lg-start) {
    justify-content: flex-start;
  }

  :host(.justify-content-lg-end) {
    justify-content: flex-end;
  }

  :host(.justify-content-lg-center) {
    justify-content: center;
  }

  :host(.justify-content-lg-between) {
    justify-content: space-between;
  }

  :host(.justify-content-lg-around) {
    justify-content: space-around;
  }

  :host(.align-items-lg-start) {
    align-items: flex-start;
  }

  :host(.align-items-lg-end) {
    align-items: flex-end;
  }

  :host(.align-items-lg-center) {
    align-items: center;
  }

  :host(.align-items-lg-baseline) {
    align-items: baseline;
  }

  :host(.align-items-lg-stretch) {
    align-items: stretch;
  }
}

@media (min-width: 1200px) {

  :host(.flex-xl-wrap) {
    flex-wrap: wrap;
  }

  :host(.flex-xl-nowrap) {
    flex-wrap: nowrap;
  }

  :host(.justify-content-xl-start) {
    justify-content: flex-start;
  }

  :host(.justify-content-xl-end) {
    justify-content: flex-end;
  }

  :host(.justify-content-xl-center) {
    justify-content: center;
  }

  :host(.justify-content-xl-between) {
    justify-content: space-between;
  }

  :host(.justify-content-xl-around) {
    justify-content: space-around;
  }

  :host(.align-items-xl-start) {
    align-items: flex-start;
  }

  :host(.align-items-xl-end) {
    align-items: flex-end;
  }

  :host(.align-items-xl-center) {
    align-items: center;
  }

  :host(.align-items-xl-baseline) {
    align-items: baseline;
  }

  :host(.align-items-xl-stretch) {
    align-items: stretch;
  }
}

:host(.align-content-start) {
  align-content: flex-start;
}

:host(.align-content-end) {
  align-content: flex-end;
}

:host(.align-content-center) {
  align-content: center;
}

:host(.align-content-between) {
  align-content: space-between;
}

:host(.align-content-around) {
  align-content: space-around;
}

:host(.align-content-stretch) {
  align-content: stretch;
}

:host(.align-self-auto) {
  align-self: auto;
}

:host(.align-self-start) {
  align-self: flex-start;
}

:host(.align-self-end) {
  align-self: flex-end;
}

:host(.align-self-center) {
  align-self: center;
}

:host(.align-self-baseline) {
  align-self: baseline;
}

:host(.align-self-stretch) {
  align-self: stretch;
}
